<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:02 CEST 2016 -->
<title>Pattern</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Pattern";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Pattern.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../model/Map.html" title="class in model"><span class="strong">Prev Class</span></a></li>
<li><a href="../model/Piece.html" title="class in model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/Pattern.html" target="_top">Frames</a></li>
<li><a href="Pattern.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">model</div>
<h2 title="Class Pattern" class="title">Class Pattern</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>model.Pattern</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">Pattern</span>
extends java.lang.Object
implements java.io.Serializable</pre>
<div class="block">The Class Pattern.
 Get pattern from pattern file and generate for each pattern his fullPattern.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../serialized-form.html#model.Pattern">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../model/Pattern.html#PATTERN_NUMBER">PATTERN_NUMBER</a></strong></code>
<div class="block">The pattern number.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../model/Pattern.html#PATTERN_PATH">PATTERN_PATH</a></strong></code>
<div class="block">The pattern path.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../model/Pattern.html#PATTERN_POSITION_PATH">PATTERN_POSITION_PATH</a></strong></code>
<div class="block">The pattern position path.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../model/Pattern.html#Pattern()">Pattern</a></strong>()</code>
<div class="block">Instantiates a new pattern class who manage all the pattern of the application.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../model/Pattern.html#addPattern(int[][])">addPattern</a></strong>(int[][]&nbsp;tab)</code>
<div class="block">Adds a pattern.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../model/Piece.html" title="class in model">Piece</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../model/Pattern.html#getAllCollection()">getAllCollection</a></strong>()</code>
<div class="block">Gets the all collection of piece.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int[][]</code></td>
<td class="colLast"><code><strong><a href="../model/Pattern.html#getFullPattern(int)">getFullPattern</a></strong>(int&nbsp;i)</code>
<div class="block">Gets the full pattern (piece + positioning pattern).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean[][]</code></td>
<td class="colLast"><code><strong><a href="../model/Pattern.html#getPattern(int)">getPattern</a></strong>(int&nbsp;i)</code>
<div class="block">Gets the pattern at a specified index.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../model/Pattern.html#isPiece(java.lang.String)">isPiece</a></strong>(java.lang.String&nbsp;s)</code>
<div class="block">Checks if there is already a piece like that in the pattern file.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="PATTERN_PATH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_PATH</h4>
<pre>public final&nbsp;java.lang.String PATTERN_PATH</pre>
<div class="block">The pattern path.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../constant-values.html#model.Pattern.PATTERN_PATH">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="PATTERN_POSITION_PATH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_POSITION_PATH</h4>
<pre>public final&nbsp;java.lang.String PATTERN_POSITION_PATH</pre>
<div class="block">The pattern position path.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../constant-values.html#model.Pattern.PATTERN_POSITION_PATH">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="PATTERN_NUMBER">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PATTERN_NUMBER</h4>
<pre>public static&nbsp;int PATTERN_NUMBER</pre>
<div class="block">The pattern number.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Pattern()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Pattern</h4>
<pre>public&nbsp;Pattern()</pre>
<div class="block">Instantiates a new pattern class who manage all the pattern of the application.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPattern(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPattern</h4>
<pre>public&nbsp;boolean[][]&nbsp;getPattern(int&nbsp;i)</pre>
<div class="block">Gets the pattern at a specified index.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>i</code> - the index</dd>
<dt><span class="strong">Returns:</span></dt><dd>the pattern</dd></dl>
</li>
</ul>
<a name="getFullPattern(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFullPattern</h4>
<pre>public&nbsp;int[][]&nbsp;getFullPattern(int&nbsp;i)</pre>
<div class="block">Gets the full pattern (piece + positioning pattern).</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>i</code> - the index</dd>
<dt><span class="strong">Returns:</span></dt><dd>the full pattern</dd></dl>
</li>
</ul>
<a name="isPiece(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPiece</h4>
<pre>public&nbsp;boolean&nbsp;isPiece(java.lang.String&nbsp;s)</pre>
<div class="block">Checks if there is already a piece like that in the pattern file.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>s</code> - the string representing the piece</dd>
<dt><span class="strong">Returns:</span></dt><dd>true, if there is this piece</dd></dl>
</li>
</ul>
<a name="getAllCollection()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllCollection</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../model/Piece.html" title="class in model">Piece</a>&gt;&nbsp;getAllCollection()</pre>
<div class="block">Gets the all collection of piece.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the all collection</dd></dl>
</li>
</ul>
<a name="addPattern(int[][])">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addPattern</h4>
<pre>public&nbsp;boolean&nbsp;addPattern(int[][]&nbsp;tab)</pre>
<div class="block">Adds a pattern.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>tab</code> - the pattern to add</dd>
<dt><span class="strong">Returns:</span></dt><dd>true, if successful</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Pattern.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../model/Map.html" title="class in model"><span class="strong">Prev Class</span></a></li>
<li><a href="../model/Piece.html" title="class in model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/Pattern.html" target="_top">Frames</a></li>
<li><a href="Pattern.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
